000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.   TEST-WRITE-REL.
000300 AUTHOR.       DANIELE GIACOMINI.
000400 DATE-WRITTEN. 2005-03-13.
000500 ENVIRONMENT DIVISION.
000600 INPUT-OUTPUT SECTION.
000700*
000800 FILE-CONTROL.
000900     SELECT MIO-FILE ASSIGN TO "output.rel"
001000                     ORGANIZATION IS RELATIVE
001100                     ACCESS MODE IS SEQUENTIAL
001200                     RELATIVE KEY IS N-RECORD
001300                     FILE STATUS IS STATO-DEL-FILE.
001400*
001500 DATA DIVISION.
001600 FILE SECTION.
001700 FD  MIO-FILE
001800     LABEL RECORD IS STANDARD.
001900 01  MIO-RECORD  PIC X(20).
002000 WORKING-STORAGE SECTION.
002100 77  N-RECORD             PIC 9999 COMP VALUE IS ZERO.
002200 77  STATO-DEL-FILE       PIC XX.
002300 PROCEDURE DIVISION.
002400 MAIN.
002500     OPEN OUTPUT MIO-FILE.
002600     DISPLAY "FILE STATUS: ", STATO-DEL-FILE.
000000     MOVE ALL "A" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "B" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "C" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "D" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "E" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "F" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
000000     MOVE ALL "G" TO MIO-RECORD.
000000     WRITE MIO-RECORD.
002800     CLOSE MIO-FILE.
002900     STOP RUN.
